<?php
/*-------------------------------------------------------+
| Filename: admin.php
| Author: Mateusz Sieprawski - http://duner.pl/
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header_mce.php";
include_once INFUSIONS."duner_user_location/core.php";


// set infusion handler, include locale file
$core = new User_location();
include_once INFUSIONS.INF_FOLDER."/locale/".$core->locale_file;



/*-------------------------------------------------------+
| DO ACTIONS
+--------------------------------------------------------*/
/*
 * save settings
 */
if(isSet($_POST['submit'])) {
    if(isSet($_POST['user_location_registration']) && isSet($_POST['user_location_profile'])) {
        if(isnum($_POST['user_location_registration']) && isnum($_POST['user_location_profile'])) {
            
            // check if coords are valid
            if($core->valid_coords($_POST['user_location_center']) == TRUE) {
                
                // check map width and height
                if(isnum($_POST['user_location_width']) && isnum($_POST['user_location_height'])) {
                    
                    // gather all data
                    $form_data = array(
                        'user_location_registration' => $_POST['user_location_registration'],
                        'user_location_required'     => $_POST['user_location_required'],
                        'user_location_center'       => $_POST['user_location_center'],
                        'user_location_width'        => $_POST['user_location_width'],
                        'user_location_height'       => $_POST['user_location_height'],
                        'user_location_profile'      => $_POST['user_location_profile'],
                        'user_location_key'          => $_POST['user_location_key']
                    );
            
                    // save settings
                    if($core->save_infusion_settings($form_data) == TRUE) {
                        $info = $locale['ul_03'];
                    } else {
                        $info = $locale['ul_04'];
                    }
                } else {
                    $info = $locale['ul_05'];
                }
            } else {
                $info = $locale['ul_06'];
            }
            
        } else {
            redirect(INFUSIONS.INF_FOLDER."/admin.php".$aidlink);
        }
    } else {
        redirect(INFUSIONS.INF_FOLDER."/admin.php".$aidlink);
    }
}



/*
 * get settings
 */
$infusion_settings = $core->get_infusion_settings(TRUE);



/*-------------------------------------------------------+
| RENDER VIEW
+--------------------------------------------------------*/
/*
 * info box
 */
if(isSet($info) && $info != NULL) {
    opentable($locale['ul_07']);
        echo "<div class='center' style='text-align:center;color:red;font-weight:bold;padding:20px'>".$info."</div>\n";
    closetable();
}



/*
 * form
 */
opentable('Ustawienia');
    echo "<form action='".INFUSIONS.INF_FOLDER."/admin.php".$aidlink."' method='POST'>\n";
    echo "<table cellspacing='0' cellpadding='0' class='tbl center'>\n";
        echo "<tr><td colspan='2' class='tbl2' style='font-weight:bold'>".$locale['ul_16']."</td></tr>\n";
        echo "<tr>\n";
            echo "<td width='300' class='tbl'>".$locale['ul_08']."</td>\n";
            echo "<td class='tbl'>\n";
                $sel1 = " checked='checked'"; $sel2 = "";
                if($infusion_settings['user_location_registration'] == 0) {
                    $sel2 = " checked='checked'";
                }
                echo "<label><input type='radio' name='user_location_registration' value='1'".$sel1." /> ".$locale['ul_09']."</label><br />\n";
                echo "<label><input type='radio' name='user_location_registration' value='0'".$sel2." /> ".$locale['ul_10']."</label>\n";
            echo "</td>\n";
        echo "</tr>\n";
        echo "<tr>\n";
            echo "<td width='300' class='tbl'>".$locale['ul_11']."</td>\n";
            echo "<td class='tbl'>\n";
                $sel1 = " checked='checked'"; $sel2 = "";
                if($infusion_settings['user_location_required'] == 0) {
                    $sel2 = " checked='checked'";
                }
                echo "<label><input type='radio' name='user_location_required' value='1'".$sel1." /> ".$locale['ul_09']."</label><br />\n";
                echo "<label><input type='radio' name='user_location_required' value='0'".$sel2." /> ".$locale['ul_10']."</label>\n";
            echo "</td>\n";
        echo "</tr>\n";
        echo "<tr>\n";
            echo "<td width='300' class='tbl'>".$locale['ul_18']."</td>\n";
            echo "<td class='tbl'>\n";
                $sel1 = " checked='checked'"; $sel2 = "";
                if($infusion_settings['user_location_profile'] == 0) {
                    $sel2 = " checked='checked'";
                }
                echo "<label><input type='radio' name='user_location_profile' value='1'".$sel1." /> ".$locale['ul_19']."</label><br />\n";
                echo "<label><input type='radio' name='user_location_profile' value='0'".$sel2." /> ".$locale['ul_20']."</label>\n";
            echo "</td>\n";
        echo "</tr>\n";
        echo "<tr>\n";
            echo "<td width='300' class='tbl'>".$locale['ul_21']."<br /><a href='http://code.google.com/apis/maps/documentation/javascript/v2/introduction.html#Obtaining_Key' target='_blank'><span class='small2'>".$locale['ul_22']."</span></a></td>\n";
            echo "<td class='tbl'><input type='text' name='user_location_key' value='".$infusion_settings['user_location_key']."' class='textbox' style='width:200px' /></td>\n";
        echo "</tr>\n";
        
        
        echo "<tr><td colspan='2' class='tbl2' style='font-weight:bold'>".$locale['ul_17']."</td></tr>\n";
        echo "<tr>\n";
            echo "<td width='300' class='tbl'>".$locale['ul_12']."</td>\n";
            echo "<td class='tbl'><input type='text' name='user_location_center' value='".$infusion_settings['user_location_center']."' class='textbox' style='width:200px' /></td>\n";
        echo "</tr>\n";
        echo "<tr>\n";
            echo "<td width='300' class='tbl'>".$locale['ul_13']."</td>\n";
            echo "<td class='tbl'><input type='text' name='user_location_width' value='".$infusion_settings['user_location_width']."' class='textbox' style='width:200px' /></td>\n";
        echo "</tr>\n";
        echo "<tr>\n";
            echo "<td width='300' class='tbl'>".$locale['ul_14']."</td>\n";
            echo "<td class='tbl'><input type='text' name='user_location_height' value='".$infusion_settings['user_location_height']."' class='textbox' style='width:200px' /></td>\n";
        echo "</tr>\n";
        echo "<tr>\n";
            echo "<td colspan='2' class='tbl' style='text-align:center'><input type='submit' class='button' name='submit' value='".$locale['ul_15']."' /></td>\n";
        echo "</tr>\n";
    echo "</table>\n";
    echo "</form>\n";
closetable();



require_once THEMES."templates/footer.php";